package com.qmth.teachcloud.mark.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.qmth.teachcloud.common.enums.mark.MarkMode;
import com.qmth.teachcloud.mark.enums.QuestionModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 试卷评卷员设置
 * </p>
 *
 * @author xf
 * @since 2025-02-21
 */
@TableName("mark_user_paper")
@ApiModel(value="MarkUserPaper对象", description="试卷评卷员设置")
public class MarkUserPaper implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    private Long examId;

    private String paperNumber;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "强制评卷模式")
    private MarkMode mode;

    @ApiModelProperty(value = "评卷模式（SINGLE：单题阅，MULTI：多题阅）")
    private QuestionModel questionModel;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }
    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }
    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public MarkMode getMode() {
        return mode;
    }

    public void setMode(MarkMode mode) {
        this.mode = mode;
    }

    public QuestionModel getQuestionModel() {
        return questionModel;
    }

    public void setQuestionModel(QuestionModel questionModel) {
        this.questionModel = questionModel;
    }

    @Override
    public String toString() {
        return "MarkUserPaper{" +
            "id=" + id +
            ", examId=" + examId +
            ", paperNumber=" + paperNumber +
            ", userId=" + userId +
            ", mode=" + mode +
            ", questionModel=" + questionModel +
        "}";
    }
}
